svector.hh File Reference
`#include <istream>`
`#include <ostream>`
`#include <sstream>`
`#include <vector>`
`#include <stdexcept>`
`#include <mia/core/errormacro.hh>`
`#include <mia/core/typedescr.hh>`
Include dependency graph for svector.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | __dispatch_translate< T >
struct | __dispatch_translate< std::string >

## Functions

template<typename T>
std::ostream & | operator<< (std::ostream &os, const std::vector< T > &v)
| implements the direct streaming of std::vectors.
template<typename T>
std::istream & | operator>> (std::istream &is, std::vector< T > &v)

## Function Documentation

## operator>>()

template<typename T>

std::istream & operator>> | ( | std::istream & | is,
|  | std::vector< T > & | v )

Definition at line 83 of file svector.hh.

References __dispatch_translate< T >::apply(), and create_exception().